Loading...
Searching...
No Matches
QXmppSslServer Class Reference

The QXmppSslServer class represents an SSL-enabled TCP server. More...

`#include <QXmppServer.h>`

Inherits QTcpServer.

## Signals

void | newConnection (QSslSocket *socket)
| This signal is emitted when a new connection is established.

## Public Member Functions

| QXmppSslServer (QObject *parent=nullptr)
| ~QXmppSslServer () override
void | addCaCertificates (const QList< QSslCertificate > &certificates)
void | setLocalCertificate (const QSslCertificate &certificate)
void | setPrivateKey (const QSslKey &key)

## Detailed Description

The QXmppSslServer class represents an SSL-enabled TCP server.

## Constructor & Destructor Documentation

## QXmppSslServer()

QXmppSslServer::QXmppSslServer | ( | QObject * | parent = `nullptr` | ) |

Constructs a new SSL server instance.

Parameters

  parent |

## ~QXmppSslServer()

QXmppSslServer::~QXmppSslServer | ( |  | ) |

override

Destroys an SSL server instance.

## Member Function Documentation

## addCaCertificates()

void QXmppSslServer::addCaCertificates | ( | const QList< QSslCertificate > & | certificates | ) |

Adds the given certificates to the CA certificate database to be used for incoming connections.

Parameters

  certificates |

## setLocalCertificate()

void QXmppSslServer::setLocalCertificate | ( | const QSslCertificate & | certificate | ) |

Sets the local certificate to be used for incoming connections.

Parameters

  certificate |

## setPrivateKey()

void QXmppSslServer::setPrivateKey | ( | const QSslKey & | key | ) |

Sets the local private key to be used for incoming connections.

Parameters

  key |

The documentation for this class was generated from the following files:

- QXmppServer.h
- QXmppServer.cpp